From 4231a4ccd32e5681be417e6082dcd0358082476a Mon Sep 17 00:00:00 2001
From: James Molet <jmolet@redhat.com>
Date: Jun 21 2018 17:49:39 +0000
Subject: [PATCH 1/15] some commit


---

diff --git a/somefile b/somefile
index ce01362..0c439d0 100644
--- a/somefile
+++ b/somefile
@@ -1 +1,2 @@
 hello
+merge

From 068db5dd6d0e4a1c81817948e10288d6ce75f480 Mon Sep 17 00:00:00 2001
From: James Molet <jmolet@redhat.com>
Date: Jun 21 2018 17:49:39 +0000
Subject: [PATCH 2/15] some commit


---

diff --git a/somefile b/somefile
index 0c439d0..7810d11 100644
--- a/somefile
+++ b/somefile
@@ -1,2 +1,2 @@
 hello
-merge
+merge 1

From ae9ce8628b8bd225dd0e549603e1a688223a6a6f Mon Sep 17 00:00:00 2001
From: James Molet <jmolet@redhat.com>
Date: Jun 21 2018 17:49:39 +0000
Subject: [PATCH 3/15] some commit


---

diff --git a/somefile b/somefile
index 7810d11..fae3357 100644
--- a/somefile
+++ b/somefile
@@ -1,2 +1,2 @@
 hello
-merge 1
+merge 2

From 44f24538a8b3a0b81279fac573a9f81d1fc2f66c Mon Sep 17 00:00:00 2001
From: James Molet <jmolet@redhat.com>
Date: Jun 21 2018 17:49:39 +0000
Subject: [PATCH 4/15] some commit


---

diff --git a/somefile b/somefile
index fae3357..32a140a 100644
--- a/somefile
+++ b/somefile
@@ -1,2 +1,2 @@
 hello
-merge 2
+merge 3

From d0cd959a06b91fe6948ab506e7927ef99e41bde5 Mon Sep 17 00:00:00 2001
From: James Molet <jmolet@redhat.com>
Date: Jun 21 2018 17:49:39 +0000
Subject: [PATCH 5/15] some commit


---

diff --git a/somefile b/somefile
index 32a140a..dcc9115 100644
--- a/somefile
+++ b/somefile
@@ -1,2 +1,2 @@
 hello
-merge 3
+merge 4

From fb2b6649d3d9aeca10c07d37c94ffe062869e489 Mon Sep 17 00:00:00 2001
From: James Molet <jmolet@redhat.com>
Date: Jun 21 2018 17:49:39 +0000
Subject: [PATCH 6/15] some commit


---

diff --git a/somefile b/somefile
index dcc9115..646d7d6 100644
--- a/somefile
+++ b/somefile
@@ -1,2 +1,2 @@
 hello
-merge 4
+merge 5

From 096f6552b6f7d8f6c25611e7783e4fe4f0222542 Mon Sep 17 00:00:00 2001
From: James Molet <jmolet@redhat.com>
Date: Jun 21 2018 17:49:39 +0000
Subject: [PATCH 7/15] some commit


---

diff --git a/somefile b/somefile
index 646d7d6..a31e2fc 100644
--- a/somefile
+++ b/somefile
@@ -1,2 +1,2 @@
 hello
-merge 5
+merge 6

From 3f1cef7ed8b2c5e8cb029b7fc1a154b8fe51336b Mon Sep 17 00:00:00 2001
From: James Molet <jmolet@redhat.com>
Date: Jun 21 2018 17:49:39 +0000
Subject: [PATCH 8/15] some commit


---

diff --git a/somefile b/somefile
index a31e2fc..1fe5755 100644
--- a/somefile
+++ b/somefile
@@ -1,2 +1,2 @@
 hello
-merge 6
+merge 7

From 4e761df62ce2e8e7f9ba8bf4bbd056d35955a36d Mon Sep 17 00:00:00 2001
From: James Molet <jmolet@redhat.com>
Date: Jun 21 2018 17:49:39 +0000
Subject: [PATCH 9/15] some commit


---

diff --git a/somefile b/somefile
index 1fe5755..d60b635 100644
--- a/somefile
+++ b/somefile
@@ -1,2 +1,2 @@
 hello
-merge 7
+merge 8

From dc878d10312e1b04193f0994ef5ccbf511450b1c Mon Sep 17 00:00:00 2001
From: James Molet <jmolet@redhat.com>
Date: Jun 21 2018 17:50:49 +0000
Subject: [PATCH 10/15] some commit


---

diff --git a/somefile b/somefile
index d60b635..3a2dd78 100644
--- a/somefile
+++ b/somefile
@@ -1,2 +1,2 @@
 hello
-merge 8
+merge 9

From 4f4138ac731db975059c999ecda56b08b2b365bf Mon Sep 17 00:00:00 2001
From: James Molet <jmolet@redhat.com>
Date: Jun 21 2018 17:54:21 +0000
Subject: [PATCH 11/15] some commit


---

diff --git a/Jenkinsfile b/Jenkinsfile
index 6048215..35c2c31 100644
--- a/Jenkinsfile
+++ b/Jenkinsfile
@@ -1,5 +1,11 @@
+def scmVars
+node('master'){
+    scmVars = checkout scm
+}
+
 try {
     node('master') {
+        checkout
         stage('Cat File') {
             sh "cat somefile"
         }
@@ -11,7 +17,6 @@ try {
     def currentResult = currentBuild.result ?: 'SUCCESS'
     def resultPercent = (currentResult == 'SUCCESS') ? '100' : '0'
     def resultComment = (currentResult == 'SUCCESS') ? 'Build passed.' : 'Build failed.'
-    def scmVars = checkout scm
     def pagurePR = scmvars.GIT_BRANCH.split('/')[-1]  // origin/pr/1234 -> 1234
     def pagureRepo = new URL(scmVars.GIT_URL).getPath() - ~/^\// - ~/.git$/  // https://pagure.io/my-repo.git -> my-repo
     build job: 'pr-updater',

From 481cb1e14f1c3f28131a28ced8a38664ab3150a6 Mon Sep 17 00:00:00 2001
From: James Molet <jmolet@redhat.com>
Date: Jun 21 2018 17:55:41 +0000
Subject: [PATCH 12/15] some commit


---

diff --git a/Jenkinsfile b/Jenkinsfile
index 35c2c31..44e6eb3 100644
--- a/Jenkinsfile
+++ b/Jenkinsfile
@@ -17,7 +17,7 @@ try {
     def currentResult = currentBuild.result ?: 'SUCCESS'
     def resultPercent = (currentResult == 'SUCCESS') ? '100' : '0'
     def resultComment = (currentResult == 'SUCCESS') ? 'Build passed.' : 'Build failed.'
-    def pagurePR = scmvars.GIT_BRANCH.split('/')[-1]  // origin/pr/1234 -> 1234
+    def pagurePR = scmVars.GIT_BRANCH.split('/')[-1]  // origin/pr/1234 -> 1234
     def pagureRepo = new URL(scmVars.GIT_URL).getPath() - ~/^\// - ~/.git$/  // https://pagure.io/my-repo.git -> my-repo
     build job: 'pr-updater',
           parameters: [

From 6d2af5daf15a8652bf0a52e211f368fb6c007ee3 Mon Sep 17 00:00:00 2001
From: James Molet <jmolet@redhat.com>
Date: Jun 21 2018 18:09:15 +0000
Subject: [PATCH 13/15] some commit


---

diff --git a/somefile b/somefile
index 3a2dd78..587d04a 100644
--- a/somefile
+++ b/somefile
@@ -1,2 +1,2 @@
 hello
-merge 9
+merge 10

From b6123de5b0407a4ac88288b919d3a35dd0b42999 Mon Sep 17 00:00:00 2001
From: James Molet <jmolet@redhat.com>
Date: Jun 21 2018 18:11:05 +0000
Subject: [PATCH 14/15] some commit


---

diff --git a/Jenkinsfile b/Jenkinsfile
index 44e6eb3..6bed7e8 100644
--- a/Jenkinsfile
+++ b/Jenkinsfile
@@ -26,8 +26,8 @@ try {
                        [$class: 'StringParameterValue', name: 'PAGURE_REPO', value: pagureRepo],
                        [$class: 'StringParameterValue', name: 'PERCENT_PASSED', value: resultPercent],
                        [$class: 'StringParameterValue', name: 'COMMENT', value: resultComment],
-                       [$class: 'StringParameterValue', name: 'REFERENCE_URL', value: ${env.BUILD_URL}],
-                       [$class: 'StringParameterValue', name: 'REFERENCE_JOB_NAME', value: ${env.JOB_NAME}]
+                       [$class: 'StringParameterValue', name: 'REFERENCE_URL', value: "${env.BUILD_URL}"],
+                       [$class: 'StringParameterValue', name: 'REFERENCE_JOB_NAME', value: "${env.JOB_NAME}"]
                       ]
 }
 

From 802bf7b3a4193d53ac894993742c18fefe65984b Mon Sep 17 00:00:00 2001
From: James Molet <jmolet@redhat.com>
Date: Jun 21 2018 18:31:07 +0000
Subject: [PATCH 15/15] some commit


---

diff --git a/Jenkinsfile b/Jenkinsfile
index 6bed7e8..ae23131 100644
--- a/Jenkinsfile
+++ b/Jenkinsfile
@@ -5,7 +5,7 @@ node('master'){
 
 try {
     node('master') {
-        checkout
+        checkout scm
         stage('Cat File') {
             sh "cat somefile"
         }

